const amapFile = require('./amap-wx.js')

const myAmapFun = new amapFile.AMapWX({
  key: 'c80098e1784e96e0a25669307c9d8594'
});

const getInputtips = (keywords, cityName = null) => {
  return new Promise((reslove, reject) => {
    myAmapFun.getInputtips({
      keywords: keywords,
      city: cityName,
      citylimit: !!cityName,
      success: (data) => {
        reslove(data.tips)
      },
      fail: (error) => {
        reslove(false)
      }
    })
  })
}

/**
 * 地址转换
 */
const addressTranslation = (location) => {
  return new Promise(function(reslove, reject) {
    wx.request({
      url: `https://restapi.amap.com/v3/geocode/regeo?location=${location}&key=8eacf1c2b2dd2a0e747aa6f7df28c8ce`,
      success: (ret) => {
        if (ret.data && ret.data.infocode == 10000) {
          let res = ret.data.regeocode;
          if (!res.addressComponent.city || res.addressComponent.city.length == 0)
            res.addressComponent.city = res.addressComponent.province;
          reslove(res);
        } else
          reject(false);
      },
      fail: (err) => {
        reject(err);
      }
    })
  })
}
module.exports = {
  getInputtips,
  addressTranslation
}
