module.exports = {
    "disableEmoji": false,
    "list": [
        "feat",
        "fix",
        "release",
        "chore",
        "docs",
        "refactor",
        "style",
        "ci",
        "perf"
    ],
    "maxMessageLength": 64,
    "minMessageLength": 3,
    "questions": [
        "type",
        "scope",
        "subject",
        "body",
        "breaking",
        "issues",
        "lerna"
    ],
    "scopes": [],
    "types": {
        "chore": {
            "description": "生成过程或辅助工具更改",
            "emoji": "🤖",
            "value": "chore"
        },
        "ci": {
            "description": "CI相关变更",
            "emoji": "🎡",
            "value": "ci"
        },
        "docs": {
            "description": "更改文档",
            "emoji": "✏️",
            "value": "docs"
        },
        "feat": {
            "description": "新功能",
            "emoji": "🎸",
            "value": "feat"
        },
        "fix": {
            "description": "修复Bug",
            "emoji": "🐛",
            "value": "fix"
        },
        "perf": {
            "description": "提高性能的代码更改",
            "emoji": "⚡️",
            "value": "perf"
        },
        "refactor": {
            "description": "既不修复bug也不添加特性的代码更改",
            "emoji": "💡",
            "value": "refactor"
        },
        "release": {
            "description": "创建发布提交",
            "emoji": "🏹",
            "value": "release"
        },
        "style": {
            "description": "标记、空白、格式、缺少分号。。。",
            "emoji": "💄",
            "value": "style"
        },
        "test": {
            "description": "添加缺少的测试",
            "emoji": "💍",
            "value": "test"
        }
    }
};
