module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 15);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("dayjs");

/***/ }),

/***/ 15:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var dayjs__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var dayjs__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(dayjs__WEBPACK_IMPORTED_MODULE_0__);

Component({
    properties: {
        date: {
            type: Number,
            value: +new Date(),
            observer(n) {
                this.setData({
                    currentMonth: n ? dayjs__WEBPACK_IMPORTED_MODULE_0___default()(n).format('YYYY-MM') : '',
                    currentDay: n ? dayjs__WEBPACK_IMPORTED_MODULE_0___default()(n).format('YYYY-MM-DD') : ''
                });
            }
        },
        inventory: {
            type: Array,
            value: [],
            observer() {
                this.createInventoryDays(1);
            }
        },
        //日历有效开始时间
        startDate: {
            type: String,
            value: ''
        },
        //是否限制在配置了monthOptions里面的月份 如果没有就不显示
        monthLimit: {
            type: Boolean,
            value: false
        },
        monthTotal: {
            type: Number,
            value: 4
        },
        monthOptions: {
            type: Array,
            value: [],
            observer() {
                this.createInventoryMonths();
            }
        },
        extraField: {
            type: String,
            value: 'customerPrice'
        }
    },
    data: {
        weeks: ['日', '一', '二', '三', '四', '五', '六'],
        days: [],
        months: [],
        showMonths: [],
        currentMonth: '',
        currentDay: ''
    },
    ready() {
        this.createMonths();
        this.createDays();
    },
    methods: {
        createMonths(start = +new Date()) {
            const months = [];
            let i = 0;
            while (i < this.properties.monthTotal) {
                const d = dayjs__WEBPACK_IMPORTED_MODULE_0___default()(start).add(i, 'month');
                months.push({
                    month: d.month() + 1,
                    date: d.valueOf(),
                    title: d.format('YYYY-MM')
                });
                i++;
            }
            this.setData({
                months
            });
            this.createInventoryMonths();
        },
        //生成日历天
        createDays(date = this.properties.date) {
            date = dayjs__WEBPACK_IMPORTED_MODULE_0___default()(date);
            //获取月第一天
            const startDay = date.startOf('month').add(dayjs__WEBPACK_IMPORTED_MODULE_0___default()().hour(), 'h');
            //获取月最后一天
            const endDay = date.endOf('month');
            //获取中间差值 计算这个月的天数
            const diff = endDay.diff(startDay, 'day') + 1;
            //获取第一天是周几
            const startWeek = startDay.day();
            //生成一个月的日期
            const n = diff + startWeek,
                  days = [];
            let i = 0;
            while (i < n) {
                if (i >= startWeek) {
                    const date = dayjs__WEBPACK_IMPORTED_MODULE_0___default()(startDay).add(i - startWeek, 'day').valueOf();
                    days[i] = {
                        day: i - startWeek + 1,
                        date,
                        title: dayjs__WEBPACK_IMPORTED_MODULE_0___default()(date).format('YYYY-MM-DD'),
                        disabled: true
                    };
                }
                i++;
            }
            this.setData({
                days
            });
            this.createInventoryDays(1);
        },
        //根据库存更换日历
        createInventoryDays(type) {
            let { days } = this.data;
            const { inventory = [], extraField } = this.properties;
            const nowDateStr = dayjs__WEBPACK_IMPORTED_MODULE_0___default()().format('YYYYMMDD');
            days = days.map(item => {
                const dayStr = dayjs__WEBPACK_IMPORTED_MODULE_0___default()(item.date).format('YYYYMMDD');
                const inventoryDay = inventory.find(({ inventoryDay }) => inventoryDay == dayStr) || {};
                return Object.assign(Object.assign(Object.assign({}, item), inventoryDay), { extra: inventoryDay[extraField], disabled: !inventoryDay[extraField] || dayStr < nowDateStr || inventoryDay.inventory == 0 || dayjs__WEBPACK_IMPORTED_MODULE_0___default()(item.date).format('YYYY-MM-DD') < this.properties.startDate });
            });
            this.setData({
                days
            }, () => {
                if (type === 1) {
                    const defaultValue = days.find(item => item && !item.disabled) || { date: '' };
                    this.triggerEvent('selected', defaultValue);
                }
            });
        },
        //根据月份库存数据删除没有的月份，设置月份最低价格
        createInventoryMonths() {
            if (!this.properties.monthLimit) return this.setData({
                showMonths: this.data.months
            });
            const showMonths = this.data.months.filter(item => {
                const ret = this.properties.monthOptions.find(({ inventoryMonth }) => inventoryMonth == dayjs__WEBPACK_IMPORTED_MODULE_0___default()(item.date).format('YYYYMM'));
                if (ret) item.price = ret.customerPrice;
                return ret;
            });
            this.setData({
                showMonths
            });
            if (showMonths.length > 0) {
                this.createDays(showMonths[0].date);
                this.triggerEvent('monthchange', showMonths[0].date);
            }
        },
        //点击月份
        monthClick({ currentTarget }) {
            const { showMonths } = this.data;
            this.setData({
                showMonths: showMonths.map((item, index) => Object.assign(Object.assign({}, item), { selected: index === currentTarget.dataset.index }))
            });
            this.createDays(showMonths[currentTarget.dataset.index].date);
            this.triggerEvent('monthchange', showMonths[currentTarget.dataset.index].date);
        },
        //用户选择日期
        handleDayClick({ currentTarget }) {
            const { days } = this.data;
            const day = days[currentTarget.dataset.index];
            if (day.disabled) return;
            this.setData({
                days: days.map((day, index) => Object.assign(Object.assign({}, day), { selected: index === currentTarget.dataset.index }))
            });
            this.triggerEvent('selected', day);
        }
    }
});

/***/ })

/******/ });