module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 27);
/******/ })
/************************************************************************/
/******/ ({

/***/ 1:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return isIphoneX; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return arrayBufferToUTF8; });
const isIphoneX = () => {
  const { model } = wx.getSystemInfoSync();
  if (-1 !== model.indexOf("iPhone")) {
    const models = model.split(' ');
    const num = Number(models[1]);
    if (!isNaN(num) && num > 10 || models[1].indexOf('X') !== -1) return true;
  }
};

/**
 * 数据流转字符串
 */
const arrayBufferToUTF8 = data => {
  try {
    let unit8Arr = new Uint8Array(data);
    let encodedString = String.fromCharCode.apply(null, unit8Arr),
        decodedString = decodeURIComponent(escape(encodedString)); //没有这一步中文会乱码
    return decodedString;
  } catch (err) {
    return false;
  }
};

/***/ }),

/***/ 27:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./src/common/api/urls.js
//获取开通服务城市
const getServiceCityList = 'galaxyCityTds/doCityList';

/* harmony default export */ var urls = ({
    getServiceCityList
});
// CONCATENATED MODULE: ./src/common/config/index.js
let BASE_URL = 'https://itds.900u.xyz/';
let TIME_OUT = 3000;

const setConfig = ({
    url = BASE_URL,
    timeout = TIME_OUT
}) => {
    BASE_URL = url;
    TIME_OUT = timeout;
};

const getConfig = () => {
    return {
        BASE_URL,
        TIME_OUT
    };
};

/* harmony default export */ var config = ({
    setConfig,
    getConfig
});
// EXTERNAL MODULE: ./src/common/utils/index.js
var utils = __webpack_require__(1);

// CONCATENATED MODULE: ./src/common/utils/loading.js


let timer = null;
/* harmony default export */ var loading = ({
    show(title = '加载...', timeout) {
        const conf = getConfig();
        wx.showLoading({
            title
        });
        timer = setTimeout(() => {
            wx.hideLoading();
        }, timeout || conf.TIME_OUT);
    }
});
// CONCATENATED MODULE: ./src/common/utils/network.js



//存储正在操作的请求
let taskMap = new Map();
let network_id = 0;
let online = true;
let network_timer = null;

/*
* 将请求全部存储到map
*/
const setTask = async (fn, params, resolve, reject) => {
    taskMap.set(network_id, {
        time: +new Date(),
        fn,
        params,
        resolve,
        reject
    });
    // startTimer();
    return network_id++;
};
/**
 * 删除map存储的请求
 */
const removeTask = id => {
    taskMap.delete(id);
};

/**
 * 网络改变 循环遍历所有未完成的请求
 */
const onNetworkStatusChange = async isConnected => {
    if (!online && taskMap.size > 0 && isConnected) {
        loading.show("重新加载...");
        retrying();
    }
    online = isConnected;
};
/**
 * 定时去刷新任务列表
 */

const startTimer = () => {
    if (network_timer) return;
    network_timer = setInterval(() => {
        retrying(true);
    }, 2000);
};

/**
 * 自动重试打开
 */
const retrying = type => {
    for (let task of taskMap) {
        if (task.time > +new Date() - getConfig().TIME_OUT) return;
        task[1].time = +new Date();
        const { fn, params, resolve, reject } = task[1];
        fn(...params, task[0], resolve, reject, !type);
    }
};

/**
 * 获取当前网络
 */
wx.getNetworkType({
    success: ({ networkType }) => {
        online = networkType !== 'none';
    }
});

/**
 * 监听网络变化
 */
wx.onNetworkStatusChange(function ({ isConnected }) {
    onNetworkStatusChange(isConnected);
});
// CONCATENATED MODULE: ./src/common/utils/toast.js
let toast_timer = null;
/* harmony default export */ var toast = ({
    show(opt) {
        wx.showToast(opt);
    },
    hide() {
        wx.hideToast();
        toast_timer && clearTimeout(toast_timer);
    },
    showMessage(title) {
        wx.showToast({
            title,
            icon: 'none'
        });
    },
    showError(title = '失败') {
        wx.showToast({
            title,
            icon: 'error'
        });
    },
    showSuccess(title = '成功') {
        wx.showToast({
            title,
            icon: 'success'
        });
    },
    showLoading(title = '加载...', timeout = 8000) {
        wx.showToast({
            title,
            icon: 'loading'
        });
        toast_timer = setTimeout(() => {
            wx.hideToast();
        }, timeout);
    }
});
// CONCATENATED MODULE: ./src/common/constants/index.js
//网络出错
const NET_WORK_ERROR_MESSAGE = "手机网络不太顺畅哦\n请检查您的网络状况！";
// CONCATENATED MODULE: ./src/common/utils/request.js






/* harmony default export */ var request = ((url, data, method = 'GET', responseType = "text") => {
  return new Promise(async resolve => {
    let id = await setTask(request_request, [url, data, method], resolve, responseType);
    request_request(url, data, method, id, resolve, responseType);
  });
});

const request_request = (url, data, method, id, resolve, responseType, reject, showError = true) => {
  if (method === 'GET') {
    if (data && data !== {}) {
      url += '?';
      for (const key in data) {
        url = url + key + "=" + data[key] + '&';
      }
    }
  }
  const header = {
    "Content-Type": "application/json"
  };
  if (global.userInfo) {
    const token = global.userInfo.token;
    const port = global.userInfo.loginPort;
    const id = global.userInfo.loginuserId;
    const loginName = global.userInfo.loginuserDto && global.userInfo.loginuserDto.loginName;
    if (token) header["Header-Token"] = token;
    if (port) header["Header-LoginPort"] = port;
    if (id) header["Header-UserId"] = id;
    if (loginName) header["Header-UserName"] = encodeURI(loginName);
  }
  const conf = getConfig();
  const options = {
    method: method,
    url: `${conf.BASE_URL}${url}`,
    timeout: conf.TIME_OUT,
    header: header,
    responseType,
    success: ret => {
      if (ret.statusCode === 200) {

        if (responseType === 'arraybuffer') {
          try {
            const string = Object(utils["a" /* arrayBufferToUTF8 */])(ret.data);
            if (string) ret.data = JSON.parse(string);
          } catch (e) {}
        }

        if (!ret.data.success && ret.data.errors && ret.data.errors[0].code === "60022") {
          wx.navigateTo({
            url: '/pages/login/index'
          });
        }
        resolve(ret.data);
      } else {
        resolve({
          success: false,
          errors: [{
            message: '系统出错,稍后重试',
            errorCode: ret.statusCode
          }]
        });
      }
      removeTask(id);
    },
    fail: () => {
      showError && toast.showMessage(NET_WORK_ERROR_MESSAGE);
    }
  };
  if (method === 'POST') options.data = data;
  wx.request(options);
};
// CONCATENATED MODULE: ./src/common/api/index.js




//获取开通服务城市
let service_citys = null;
const api_getServiceCityList = async () => {
    if (service_citys) return service_citys;
    toast.showLoading();
    const ret = await request(urls.getServiceCityList, {
        grade: 2, //省市县等级
        pageSize: 500, //这里不分页 一次性获取完
        pageIndex: 1
    }, 'POST');
    toast.hide();
    if (ret.success && ret.data && ret.data.data) {
        service_citys = ret.data.data;
        return service_citys;
    } else {
        toast.showError(ret.errors[0].message);
        service_citys = null;
        return [];
    }
};
// CONCATENATED MODULE: ./src/common/apolloConfig/request.js





/* harmony default export */ var apolloConfig_request = (function (url) {
    return new Promise(async function (resolve) {
        const id = await setTask(apolloConfig_request_request, [url], resolve);
        apolloConfig_request_request(url, id, resolve);
    });
});

const apolloConfig_request_request = (url, id, resolve, reject, showError = true) => {
    const conf = getConfig();
    wx.request({
        url: `${conf.BASE_URL}galaxyConfig/config/${url}`,
        method: "GET",
        timeout: conf.TIME_OUT,
        success: function (data) {
            if (data.statusCode === 200 && data.data.success) {
                resolve(JSON.parse(data.data.data));
            } else resolve(false);
            removeTask(id);
        },
        fail: function () {
            showError && toast.showMessage(NET_WORK_ERROR_MESSAGE);
        }
    });
};
// CONCATENATED MODULE: ./src/common/apolloConfig/urls.js
//获取城市拼音对照
const cityIndexList = 'ctiy_index_list';

/* harmony default export */ var apolloConfig_urls = ({
    cityIndexList
});
// CONCATENATED MODULE: ./src/common/apolloConfig/index.js



//获取城市拼音对照
let city_index_list = null;

const getCityIndexListConfig = async () => {
    if (city_index_list) return city_index_list;
    city_index_list = apolloConfig_request(apolloConfig_urls.cityIndexList);
    return city_index_list;
};
// CONCATENATED MODULE: ./src/common/wxapi/getLocation.ts
var __awaiter = undefined && undefined.__awaiter || function (thisArg, _arguments, P, generator) {
    function adopt(value) {
        return value instanceof P ? value : new P(function (resolve) {
            resolve(value);
        });
    }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) {
            try {
                step(generator.next(value));
            } catch (e) {
                reject(e);
            }
        }
        function rejected(value) {
            try {
                step(generator["throw"](value));
            } catch (e) {
                reject(e);
            }
        }
        function step(result) {
            result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
        }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
const { addressTranslation } = __webpack_require__(6);
//获取地理位置
const getLocation = function () {
    return new Promise(resolve => {
        wx.getLocation({
            type: 'gcj02',
            success: res => __awaiter(this, void 0, void 0, function* () {
                try {
                    const ret = yield addressTranslation(res.longitude + ',' + res.latitude);
                    let location = Object.assign(Object.assign({}, ret.addressComponent), { location: `${res.longitude},${res.latitude}`, address: ret.formatted_address });
                    resolve(location);
                } catch (e) {
                    resolve({});
                }
            }),
            fail: function () {
                resolve({});
            }
        });
    });
};
// CONCATENATED MODULE: ./src/city-index-list/index.ts
var city_index_list_awaiter = undefined && undefined.__awaiter || function (thisArg, _arguments, P, generator) {
    function adopt(value) {
        return value instanceof P ? value : new P(function (resolve) {
            resolve(value);
        });
    }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) {
            try {
                step(generator.next(value));
            } catch (e) {
                reject(e);
            }
        }
        function rejected(value) {
            try {
                step(generator["throw"](value));
            } catch (e) {
                reject(e);
            }
        }
        function step(result) {
            result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
        }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};



Component({
    /**
     * 组件的属性列表
     */
    properties: {
        //是否自定义数据来源，如果设置为false则默认取系统开通城市
        custom: {
            type: Boolean,
            value: false,
            observer(n) {
                if (!n) this.getServiceCityList();
            }
        },
        cityList: {
            type: Array,
            value: [],
            observer(n = []) {
                if (n.length > 0) this.setIndexList(n);else if (!this.properties.custom) this.getServiceCityList();
            }
        },
        placeholder: {
            type: String,
            value: '请输入出发城市'
        },
        showAll: {
            type: Boolean,
            value: false
        }
    },
    /**
     * 组件的初始数据
     */
    data: {
        list: [],
        location: {}
    },
    lifetimes: {
        attached() {
            return city_index_list_awaiter(this, void 0, void 0, function* () {
                const ret = yield getLocation();
                this.setData({
                    location: ret
                });
            });
        }
    },
    /**
     * 组件的方法列表
     */
    methods: {
        //获取所有服务城市
        getServiceCityList() {
            return city_index_list_awaiter(this, void 0, void 0, function* () {
                const ret = yield api_getServiceCityList();
                if (this.properties.custom) return;
                this.setIndexList(ret);
            });
        },
        //格式化城市数据 用于展示index
        setIndexList(citys) {
            return city_index_list_awaiter(this, void 0, void 0, function* () {
                this.citys = citys;
                const list = [];
                const obj = {};
                const indexList = yield getCityIndexListConfig();
                if (!indexList) return;
                citys.forEach(city => city_index_list_awaiter(this, void 0, void 0, function* () {
                    city.name = city.name || city.city;
                    const ret = indexList.find(item => {
                        return item.lists.indexOf(city.name.replace('市', '')) !== -1;
                    });
                    if (ret) if (obj[ret.title]) obj[ret.title].push(city);else obj[ret.title] = [city];
                }));
                for (const key in obj) {
                    list.push({
                        alpha: key,
                        subItems: obj[key]
                    });
                }
                list.sort((a, b) => {
                    return a.alpha > b.alpha ? 1 : -1;
                });
                this.setData({
                    list
                });
            });
        },
        //用户点击搜索框进行搜索
        onSearchBarClick() {
            this.triggerEvent('searchBarClick');
        },
        //获取当前城市列表数据
        getCityData() {
            return this.citys;
        },
        //用户选择城市后
        onChoose({ detail }) {
            this.triggerEvent('selectCity', detail.item);
        },
        //点击当前城市
        handleCurrentCityClick({ currentTarget }) {
            let city = { cityName: '全国' };
            if (currentTarget.dataset.name) {
                const { city: currentCity } = this.data.location;
                if (!currentCity) return;
                city = this.citys.find(({ name }) => name === currentCity);
                if (!city) {
                    wx.showToast({
                        title: '抱歉，定位城市暂未提供服务～',
                        icon: 'none'
                    });
                    return;
                }
            }
            this.triggerEvent('selectCity', city);
        }
    }
});

/***/ }),

/***/ 6:
/***/ (function(module, exports, __webpack_require__) {

const amapFile = __webpack_require__(7);

const myAmapFun = new amapFile.AMapWX({
  key: 'c80098e1784e96e0a25669307c9d8594'
});

const getInputtips = (keywords, cityName = null) => {
  return new Promise((reslove, reject) => {
    myAmapFun.getInputtips({
      keywords: keywords,
      city: cityName,
      citylimit: !!cityName,
      success: data => {
        reslove(data.tips);
      },
      fail: error => {
        reslove(false);
      }
    });
  });
};

/**
 * 地址转换
 */
const addressTranslation = location => {
  return new Promise(function (reslove, reject) {
    wx.request({
      url: `https://restapi.amap.com/v3/geocode/regeo?location=${location}&key=8eacf1c2b2dd2a0e747aa6f7df28c8ce`,
      success: ret => {
        if (ret.data && ret.data.infocode == 10000) {
          let res = ret.data.regeocode;
          if (!res.addressComponent.city || res.addressComponent.city.length == 0) res.addressComponent.city = res.addressComponent.province;
          reslove(res);
        } else reject(false);
      },
      fail: err => {
        reject(err);
      }
    });
  });
};
module.exports = {
  getInputtips,
  addressTranslation
};

/***/ }),

/***/ 7:
/***/ (function(module, exports) {

function AMapWX(a) {
  this.key = a.key, this.requestConfig = { key: a.key, s: "rsx", platform: "WXJS", appname: a.key, sdkversion: "1.2.0", logversion: "2.0" };
}AMapWX.prototype.getWxLocation = function (a, b) {
  wx.getLocation({ type: "gcj02", success: function (a) {
      var c = a.longitude + "," + a.latitude;wx.setStorage({ key: "userLocation", data: c }), b(c);
    }, fail: function (c) {
      wx.getStorage({ key: "userLocation", success: function (a) {
          a.data && b(a.data);
        } }), a.fail({ errCode: "0", errMsg: c.errMsg || "" });
    } });
}, AMapWX.prototype.getRegeo = function (a) {
  function c(c) {
    var d = b.requestConfig;wx.request({ url: "https://restapi.amap.com/v3/geocode/regeo", data: { key: b.key, location: c, extensions: "all", s: d.s, platform: d.platform, appname: b.key, sdkversion: d.sdkversion, logversion: d.logversion }, method: "GET", header: { "content-type": "application/json" }, success: function (b) {
        var d, e, f, g, h, i, j, k, l;b.data.status && "1" == b.data.status ? (d = b.data.regeocode, e = d.addressComponent, f = [], g = "", d && d.roads[0] && d.roads[0].name && (g = d.roads[0].name + "附近"), h = c.split(",")[0], i = c.split(",")[1], d.pois && d.pois[0] && (g = d.pois[0].name + "附近", j = d.pois[0].location, j && (h = parseFloat(j.split(",")[0]), i = parseFloat(j.split(",")[1]))), e.provice && f.push(e.provice), e.city && f.push(e.city), e.district && f.push(e.district), e.streetNumber && e.streetNumber.street && e.streetNumber.number ? (f.push(e.streetNumber.street), f.push(e.streetNumber.number)) : (k = "", d && d.roads[0] && d.roads[0].name && (k = d.roads[0].name), f.push(k)), f = f.join(""), l = [{ iconPath: a.iconPath, width: a.iconWidth, height: a.iconHeight, name: f, desc: g, longitude: h, latitude: i, id: 0, regeocodeData: d }], a.success(l)) : a.fail({ errCode: b.data.infocode, errMsg: b.data.info });
      }, fail: function (b) {
        a.fail({ errCode: "0", errMsg: b.errMsg || "" });
      } });
  }var b = this;a.location ? c(a.location) : b.getWxLocation(a, function (a) {
    c(a);
  });
}, AMapWX.prototype.getWeather = function (a) {
  function d(d) {
    var e = "base";a.type && "forecast" == a.type && (e = "all"), wx.request({ url: "https://restapi.amap.com/v3/weather/weatherInfo", data: { key: b.key, city: d, extensions: e, s: c.s, platform: c.platform, appname: b.key, sdkversion: c.sdkversion, logversion: c.logversion }, method: "GET", header: { "content-type": "application/json" }, success: function (b) {
        function c(a) {
          var b = { city: { text: "城市", data: a.city }, weather: { text: "天气", data: a.weather }, temperature: { text: "温度", data: a.temperature }, winddirection: { text: "风向", data: a.winddirection + "风" }, windpower: { text: "风力", data: a.windpower + "级" }, humidity: { text: "湿度", data: a.humidity + "%" } };return b;
        }var d, e;b.data.status && "1" == b.data.status ? b.data.lives ? (d = b.data.lives, d && d.length > 0 && (d = d[0], e = c(d), e["liveData"] = d, a.success(e))) : b.data.forecasts && b.data.forecasts[0] && a.success({ forecast: b.data.forecasts[0] }) : a.fail({ errCode: b.data.infocode, errMsg: b.data.info });
      }, fail: function (b) {
        a.fail({ errCode: "0", errMsg: b.errMsg || "" });
      } });
  }function e(e) {
    wx.request({ url: "https://restapi.amap.com/v3/geocode/regeo", data: { key: b.key, location: e, extensions: "all", s: c.s, platform: c.platform, appname: b.key, sdkversion: c.sdkversion, logversion: c.logversion }, method: "GET", header: { "content-type": "application/json" }, success: function (b) {
        var c, e;b.data.status && "1" == b.data.status ? (e = b.data.regeocode, e.addressComponent ? c = e.addressComponent.adcode : e.aois && e.aois.length > 0 && (c = e.aois[0].adcode), d(c)) : a.fail({ errCode: b.data.infocode, errMsg: b.data.info });
      }, fail: function (b) {
        a.fail({ errCode: "0", errMsg: b.errMsg || "" });
      } });
  }var b = this,
      c = b.requestConfig;a.city ? d(a.city) : b.getWxLocation(a, function (a) {
    e(a);
  });
}, AMapWX.prototype.getPoiAround = function (a) {
  function d(d) {
    var e = { key: b.key, location: d, s: c.s, platform: c.platform, appname: b.key, sdkversion: c.sdkversion, logversion: c.logversion };a.querytypes && (e["types"] = a.querytypes), a.querykeywords && (e["keywords"] = a.querykeywords), wx.request({ url: "https://restapi.amap.com/v3/place/around", data: e, method: "GET", header: { "content-type": "application/json" }, success: function (b) {
        var c, d, e, f;if (b.data.status && "1" == b.data.status) {
          if (b = b.data, b && b.pois) {
            for (c = [], d = 0; d < b.pois.length; d++) e = 0 == d ? a.iconPathSelected : a.iconPath, c.push({ latitude: parseFloat(b.pois[d].location.split(",")[1]), longitude: parseFloat(b.pois[d].location.split(",")[0]), iconPath: e, width: 22, height: 32, id: d, name: b.pois[d].name, address: b.pois[d].address });f = { markers: c, poisData: b.pois }, a.success(f);
          }
        } else a.fail({ errCode: b.data.infocode, errMsg: b.data.info });
      }, fail: function (b) {
        a.fail({ errCode: "0", errMsg: b.errMsg || "" });
      } });
  }var b = this,
      c = b.requestConfig;a.location ? d(a.location) : b.getWxLocation(a, function (a) {
    d(a);
  });
}, AMapWX.prototype.getStaticmap = function (a) {
  function f(b) {
    c.push("location=" + b), a.zoom && c.push("zoom=" + a.zoom), a.size && c.push("size=" + a.size), a.scale && c.push("scale=" + a.scale), a.markers && c.push("markers=" + a.markers), a.labels && c.push("labels=" + a.labels), a.paths && c.push("paths=" + a.paths), a.traffic && c.push("traffic=" + a.traffic);var e = d + c.join("&");a.success({ url: e });
  }var e,
      b = this,
      c = [],
      d = "https://restapi.amap.com/v3/staticmap?";c.push("key=" + b.key), e = b.requestConfig, c.push("s=" + e.s), c.push("platform=" + e.platform), c.push("appname=" + e.appname), c.push("sdkversion=" + e.sdkversion), c.push("logversion=" + e.logversion), a.location ? f(a.location) : b.getWxLocation(a, function (a) {
    f(a);
  });
}, AMapWX.prototype.getInputtips = function (a) {
  var b = this,
      c = b.requestConfig,
      d = { key: b.key, s: c.s, platform: c.platform, appname: b.key, sdkversion: c.sdkversion, logversion: c.logversion };a.location && (d["location"] = a.location), a.keywords && (d["keywords"] = a.keywords), a.type && (d["type"] = a.type), a.city && (d["city"] = a.city), a.citylimit && (d["citylimit"] = a.citylimit), wx.request({ url: "https://restapi.amap.com/v3/assistant/inputtips", data: d, method: "GET", header: { "content-type": "application/json" }, success: function (b) {
      b && b.data && b.data.tips && a.success({ tips: b.data.tips });
    }, fail: function (b) {
      a.fail({ errCode: "0", errMsg: b.errMsg || "" });
    } });
}, AMapWX.prototype.getDrivingRoute = function (a) {
  var b = this,
      c = b.requestConfig,
      d = { key: b.key, s: c.s, platform: c.platform, appname: b.key, sdkversion: c.sdkversion, logversion: c.logversion };a.origin && (d["origin"] = a.origin), a.destination && (d["destination"] = a.destination), a.strategy && (d["strategy"] = a.strategy), a.waypoints && (d["waypoints"] = a.waypoints), a.avoidpolygons && (d["avoidpolygons"] = a.avoidpolygons), a.avoidroad && (d["avoidroad"] = a.avoidroad), wx.request({ url: "https://restapi.amap.com/v3/direction/driving", data: d, method: "GET", header: { "content-type": "application/json" }, success: function (b) {
      b && b.data && b.data.route && a.success({ paths: b.data.route.paths, taxi_cost: b.data.route.taxi_cost || "" });
    }, fail: function (b) {
      a.fail({ errCode: "0", errMsg: b.errMsg || "" });
    } });
}, AMapWX.prototype.getWalkingRoute = function (a) {
  var b = this,
      c = b.requestConfig,
      d = { key: b.key, s: c.s, platform: c.platform, appname: b.key, sdkversion: c.sdkversion, logversion: c.logversion };a.origin && (d["origin"] = a.origin), a.destination && (d["destination"] = a.destination), wx.request({ url: "https://restapi.amap.com/v3/direction/walking", data: d, method: "GET", header: { "content-type": "application/json" }, success: function (b) {
      b && b.data && b.data.route && a.success({ paths: b.data.route.paths });
    }, fail: function (b) {
      a.fail({ errCode: "0", errMsg: b.errMsg || "" });
    } });
}, AMapWX.prototype.getTransitRoute = function (a) {
  var b = this,
      c = b.requestConfig,
      d = { key: b.key, s: c.s, platform: c.platform, appname: b.key, sdkversion: c.sdkversion, logversion: c.logversion };a.origin && (d["origin"] = a.origin), a.destination && (d["destination"] = a.destination), a.strategy && (d["strategy"] = a.strategy), a.city && (d["city"] = a.city), a.cityd && (d["cityd"] = a.cityd), wx.request({ url: "https://restapi.amap.com/v3/direction/transit/integrated", data: d, method: "GET", header: { "content-type": "application/json" }, success: function (b) {
      if (b && b.data && b.data.route) {
        var c = b.data.route;a.success({ distance: c.distance || "", taxi_cost: c.taxi_cost || "", transits: c.transits });
      }
    }, fail: function (b) {
      a.fail({ errCode: "0", errMsg: b.errMsg || "" });
    } });
}, AMapWX.prototype.getRidingRoute = function (a) {
  var b = this,
      c = b.requestConfig,
      d = { key: b.key, s: c.s, platform: c.platform, appname: b.key, sdkversion: c.sdkversion, logversion: c.logversion };a.origin && (d["origin"] = a.origin), a.destination && (d["destination"] = a.destination), wx.request({ url: "https://restapi.amap.com/v4/direction/bicycling", data: d, method: "GET", header: { "content-type": "application/json" }, success: function (b) {
      b && b.data && b.data.data && a.success({ paths: b.data.data.paths });
    }, fail: function (b) {
      a.fail({ errCode: "0", errMsg: b.errMsg || "" });
    } });
}, module.exports.AMapWX = AMapWX;

/***/ })

/******/ });