let BASE_URL = 'https://itds.900u.xyz/';
let TIME_OUT = 3000;

export const setConfig = ({
                              url = BASE_URL,
                              timeout = TIME_OUT
                          }) => {
    BASE_URL = url;
    TIME_OUT = timeout;
}

export const getConfig = () => {
    return {
        BASE_URL,
        TIME_OUT
    }
}

export default {
    setConfig,
    getConfig
}
