module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 5);
/******/ })
/************************************************************************/
/******/ ({

/***/ 1:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return isIphoneX; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return arrayBufferToUTF8; });
const isIphoneX = () => {
  const { model } = wx.getSystemInfoSync();
  if (-1 !== model.indexOf("iPhone")) {
    const models = model.split(' ');
    const num = Number(models[1]);
    if (!isNaN(num) && num > 10 || models[1].indexOf('X') !== -1) return true;
  }
};

/**
 * 数据流转字符串
 */
const arrayBufferToUTF8 = data => {
  try {
    let unit8Arr = new Uint8Array(data);
    let encodedString = String.fromCharCode.apply(null, unit8Arr),
        decodedString = decodeURIComponent(escape(encodedString)); //没有这一步中文会乱码
    return decodedString;
  } catch (err) {
    return false;
  }
};

/***/ }),

/***/ 5:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _common_utils_index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1);

const throttle = function (func, wait, options) {
    let context;
    let args;
    let result;
    let timeout = null;
    // 上次执行时间点
    let previous = 0;
    if (!options) options = {};
    // 延迟执行函数
    const later = function () {
        // 若设定了开始边界不执行选项，上次执行时间始终为0
        previous = options.leading === false ? 0 : Date.now();
        timeout = null;
        result = func.apply(context, args);
        if (!timeout) context = args = null;
    };
    return function (...margs) {
        const now = Date.now();
        // 首次执行时，如果设定了开始边界不执行选项，将上次执行时间设定为当前时间。
        if (!previous && options.leading === false) previous = now;
        // 延迟执行时间间隔
        const remaining = wait - (now - previous);
        context = this;
        args = margs;
        // 延迟时间间隔remaining小于等于0，表示上次执行至此所间隔时间已经超过一个时间窗口
        // remaining大于时间窗口wait，表示客户端系统时间被调整过
        if (remaining <= 0 || remaining > wait) {
            clearTimeout(timeout);
            timeout = null;
            previous = now;
            result = func.apply(context, args);
            if (!timeout) context = args = null;
            // 如果延迟执行不存在，且没有设定结尾边界不执行选项
        } else if (!timeout && options.trailing !== false) {
            timeout = setTimeout(later, remaining);
        }
        return result;
    };
};
Component({
    options: {
        addGlobalClass: true,
        pureDataPattern: /^_/ // 指定所有 _ 开头的数据字段为纯数据字段
    },
    properties: {
        list: {
            type: Array,
            value: [],
            observer: function (newVal) {
                console.log(newVal);
                if (newVal.length === 0) return;
                const data = this.data;
                const alphabet = data.list.map(item => item.alpha);
                this.setData({
                    alphabet,
                    current: alphabet[0]
                }, () => {
                    this.computedSize();
                });
            }
        },
        vibrated: {
            type: Boolean,
            value: true
        }
    },
    data: {
        windowHeight: 612,
        current: 'A',
        intoView: '',
        touching: false,
        alphabet: [],
        _tops: [],
        _anchorItemH: 0,
        _anchorItemW: 0,
        _anchorTop: 0,
        _listUpperBound: 0
    },
    lifetimes: {
        created() {},
        attached() {
            this.__scrollTo = throttle(this._scrollTo, 100, {});
            this.__onScroll = throttle(this._onScroll, 100, {});
            const sys = wx.getSystemInfoSync();
            this.setData({
                windowHeight: sys.screenHeight - sys.statusBarHeight - 44 - (_common_utils_index__WEBPACK_IMPORTED_MODULE_0__[/* isIphoneX */ "b"] ? 20 : 0)
            });
        }
    },
    methods: {
        choose(e) {
            const item = e.target.dataset.item;
            this.triggerEvent('choose', { item });
        },
        scrollTo(e) {
            this.__scrollTo(e);
        },
        _scrollTo(e) {
            const data = this.data;
            const clientY = e.changedTouches[0].clientY;
            const index = Math.floor((clientY - data._anchorTop) / data._anchorItemH);
            const current = data.alphabet[index];
            this.setData({ current, intoView: current, touching: true });
            // 振动效果
            if (data.vibrated) wx.vibrateShort();
        },
        computedSize() {
            const data = this.data;
            // 计算列表每个区块的高度等信息
            const query = this.createSelectorQuery();
            query.selectAll('.index_list_item').boundingClientRect(rects => {
                const result = rects;
                const sys = wx.getSystemInfoSync();
                data._tops = result.map(item => item.top - sys.statusBarHeight - 44 - 55);
            }).exec();
            // 计算右侧字母栏小区块的高度等信息
            query.select('.anchor-list').boundingClientRect(rect => {
                data._anchorItemH = rect.height / data.alphabet.length;
                data._anchorItemW = rect.width;
                data._anchorTop = rect.top;
            }).exec();
            // 计算滚动区域的上边界
            query.select('.page-select-index').boundingClientRect(rect => {
                data._listUpperBound = rect.top;
            });
        },
        // throttle 的延迟
        removeTouching() {
            setTimeout(() => {
                this.setData({ touching: false });
            }, 150);
        },
        onScroll(e) {
            this.__onScroll(e);
        },
        _onScroll(e) {
            const data = this.data;
            const { _tops, alphabet } = data;
            const scrollTop = e.detail.scrollTop;
            let current = '';
            if (scrollTop < _tops[0]) {
                current = alphabet[0];
            } else {
                for (let i = 0, len = _tops.length; i < len - 1; i++) {
                    if (scrollTop >= _tops[i] && scrollTop < _tops[i + 1]) {
                        current = alphabet[i];
                    }
                }
            }
            if (!current) current = alphabet[alphabet.length - 1];
            this.setData({ current });
        }
    }
});

/***/ })

/******/ });